
QGIS Application - Bug report #3712

Python console paste error

2011-04-08 02:49 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13771

Description

If I try to paste from clipboard between two words in the console, it always goes to the end of the line.

Associated revisions

Revision 9b4ed0c9 - 2011-04-16 05:21 PM - Borys Jurgiel

fix #3712

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15729 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a8c2cfc2 - 2011-04-16 05:21 PM - Borys Jurgiel

fix #3712

git-svn-id: http://svn.osgeo.org/qgis/trunk@15729 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-11 04:46 AM - Ivan Mincik

Confirmed on current Trunk, Debian Squeeze, Gnome.

When trying to override existing current string in console with string in clipboard, it will be always appended at the end of the line.

#2 - 2011-04-16 08:23 AM - Borys Jurgiel

Fixed in commit:a8c2cfc2 (SVN r15730). Now it's appended at the end only if either: the pasted text is multi-line or is going to be pasted not to the last line.

#3 - 2011-04-16 08:23 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed
